Recent

Author Topic: Fpcupdeluxe  (Read 788674 times)

Tony Stone

  • Full Member
  • ***
  • Posts: 214
Re: Fpcupdeluxe
« Reply #2370 on: December 07, 2023, 02:53:15 am »
@Tony Stone
If your system linux , delete folder "~/.lazarus" and try again use Fpcupdeluxe

I don't have a directory named .lazarus but yes I am running Linux.

TRon

  • Hero Member
  • *****
  • Posts: 2278
Re: Fpcupdeluxe
« Reply #2371 on: December 07, 2023, 12:29:05 pm »
Is it not possible to change the Lazarus version selection for an existing installation set up by FPCupDeluxe?
I am not entirely sure what you asked there but if you want to have different installed version of Lazarus then /you/ decide where fpcupdeluxe will install the new selected lazarus build and it has to be a separate directory different from your previous installation. That also means that you have to make/add two different entries to your menu for both individual installations.

Do note that I am not a daily fpcupdeluxe user but make manual builds instead and copy/move the directory generated by make to the correct version number.

My directory looks like:
Code: [Select]
/apps
  /Lazarus
    /1.0.12
       // etc
    /2.2.6
       // etc
    /3.0RC2
       // etc

And I have (manually added) a menu entry for each version and using the --pcp option so that each Lazarus version has its own (individual) configuration directory.

Gustavo 'Gus' Carreno

  • Hero Member
  • *****
  • Posts: 1033
  • Professional amateur ;-P
Re: Fpcupdeluxe
« Reply #2372 on: December 07, 2023, 05:58:51 pm »
Hey Tony,

I've encountered an issue while upgrading Lazarus through FPCupDeluxe. My current setup was installed using FPCupDeluxe with the Trunk versions for both FPC and Lazarus. However, after a recently trying to update Lazarus to the 3.99 option, Lazarus still shows version 2.3.0.

Attempting to change the Lazarus version to the newly available 3.99 option doesn't seem to work for my existing installation; it continues to display version 2.3.0. Interestingly, when I perform a fresh installation and select version 3.99, Lazarus correctly shows version 3.99.

Is it not possible to change the Lazarus version selection for an existing installation set up by FPCupDeluxe?

From the account you give above one thing comes to mind: fpcupdeluxe only performs a full "git clone" with no depth attached if you chose "trunk".
If you chose a particular version, it will perform a "git clone --depth=1", which in terms means that you'll never quite be able to get out of the version/tag/hash you did the initial clone from.
This explains why when you do a fresh install, it all pans out, since if you're doing a clean install with "trunk", you then get the full blown history of the GIT repository.

Now, I'm no GIT expert, so I'm not quite sure how you would get from the shallow clone you have on the former installed folder into a full blown one.
But I do suspect that this is the problem you're encountering.

Catch me on Discord and we can see if I can come up with a solution, or if you just wanna say "EFFE IT" and opt for the full blown "trunk" install.

Cheers,
Gus

P.S.: If you wanna yell at someone, then you could, maybe, have a go at DonAlfredo for deciding the depth of the cloning  :D Not that it's gonna do you any good, but could alleviate that nagging pain in the chest :P
Lazarus 3.99(main) FPC 3.3.1(main) Ubuntu 23.10 64b Dark Theme
Lazarus 3.0.0(stable) FPC 3.2.2(stable) Ubuntu 23.10 64b Dark Theme
http://github.com/gcarreno

Tony Stone

  • Full Member
  • ***
  • Posts: 214
Re: Fpcupdeluxe
« Reply #2373 on: December 08, 2023, 12:20:48 am »
Gus!  Hey buddy!  Yes I think you are explaining my issue.  Let me see if I can get on Discord later tonight and catch you.  I would like to sort it out because I have made so many changes to my configuration that it will be a real pain in the arse to reconfigure(not really) but Would be nice to be able to easily change the version of an existing installation using FPCUpDeluxe.  Hopefully I see you on later!
Quote
From the account you give above one thing comes to mind: fpcupdeluxe only performs a full "git clone" with no depth attached if you chose "trunk".If you chose a particular version, it will perform a "git clone --depth=1", which in terms means that you'll never quite be able to get out of the version/tag/hash you did the initial clone from.This explains why when you do a fresh install, it all pans out, since if you're doing a clean install with "trunk", you then get the full blown history of the GIT repository.Now, I'm no GIT expert, so I'm not quite sure how you would get from the shallow clone you have on the former installed folder into a full blown one.But I do suspect that this is the problem you're encountering.Catch me on Discord and we can see if I can come up with a solution, or if you just wanna say "EFFE IT" and opt for the full blown "trunk" install.Cheers,GusP.S.: If you wanna yell at someone, then you could, maybe, have a go at DonAlfredo for deciding the depth of the cloning   Not that it's gonna do you any good, but could alleviate that nagging pain in the chest

Gustavo 'Gus' Carreno

  • Hero Member
  • *****
  • Posts: 1033
  • Professional amateur ;-P
Re: Fpcupdeluxe
« Reply #2374 on: December 08, 2023, 11:17:23 pm »
Hey Tony!!

Will see you there!!

Cheers,
Gus
Lazarus 3.99(main) FPC 3.3.1(main) Ubuntu 23.10 64b Dark Theme
Lazarus 3.0.0(stable) FPC 3.2.2(stable) Ubuntu 23.10 64b Dark Theme
http://github.com/gcarreno

fafafooey

  • New Member
  • *
  • Posts: 14
Re: Fpcupdeluxe
« Reply #2375 on: December 09, 2023, 11:48:19 am »
Hi thanks for this great app but unfortunately it keeps erroring for me at the same point.

I'm running Windows 7 64bit (I know I need to upgrade but I don't have the time right now) and I want to compile trunk for both FPC and Lazarus for i386-win32. I'm using the "fpcupdeluxe-i386-win32.exe" v2.4.0bp and it keeps crashing with this:

Problem signature:
  Problem Event Name:   BEX
  Application Name:   git.exe
  Application Version:   2.33.0.2
  Application Timestamp:   6124c57e
  Fault Module Name:   StackHash_0a9e
  Fault Module Version:   0.0.0.0
  Fault Module Timestamp:   00000000
  Exception Offset:   0048e480
  Exception Code:   c0000005
  Exception Data:   00000008
  OS Version:   6.1.7601.2.1.0.256.1
  Locale ID:   1033
  Additional Information 1:   0a9e
  Additional Information 2:   0a9e372d3b4ad19135b953a78882e789
  Additional Information 3:   0a9e
  Additional Information 4:   0a9e372d3b4ad19135b953a78882e789

It does that right after downloading "x86_64-win64-strip.exe" and then launching "make.exe".

fpcupdeluxe: Executing: D:\fpcupdate\fpcupdeluxe\fpcbootstrap\make.exe --jobs=4 FPMAKEOPT=--threads=4 PP=D:/fpcupdate/fpcupdeluxe/fpcbootstrap/ppc386.exe FPCDIR=D:/fpcupdate/fpcupdeluxe/fpcsrc FPCMAKE=D:/fpcupdate/fpcupdeluxe/fpc/bin/i386-win32/fpcmake.exe PPUMOVE=D:/fpcupdate/fpcupdeluxe/fpc/bin/i386-win32/ppumove.exe PREFIX=D:/fpcupdate/fpcupdeluxe/fpc INSTALL_PREFIX=D:/fpcupdate/fpcupdeluxe/fpc INSTALL_SOURCEDIR=D:/fpcupdate/fpcupdeluxe/fpcsrc INSTALL_BASEDIR=D:/fpcupdate/fpcupdeluxe/fpc INSTALL_UNITDIR=D:/fpcupdate/fpcupdeluxe/fpc/units/i386-win32 INSTALL_BINDIR=D:/fpcupdate/fpcupdeluxe/fpc/bin/i386-win32 INSTALL_LIBDIR=D:/fpcupdate/fpcupdeluxe/fpc/lib INSTALL_SHAREDDIR=D:/fpcupdate/fpcupdeluxe/fpc/share INSTALL_DATADIR=D:/fpcupdate/fpcupdeluxe/fpc/data OS_SOURCE=win32 CPU_SOURCE=i386 OS_TARGET=win32 CPU_TARGET=i386 UPXPROG=echo GIT=D:/fpcupdate/fpcupdeluxe/fpcbootstrap/git/cmd/git.exe OPT=-vw-n-h-l-d-u-t-p-c- --directory=D:\fpcupdate\fpcupdeluxe\fpcsrc\compiler revision (working dir: D:\fpcupdate\fpcupdeluxe\fpcsrc\compiler)

I have attached the full copy/paste of the log window. Weirdly, I tried the "fpcupdeluxe-x86_64-win64.exe" version and it worked flawlessly. If you could help me out on this I would appreciate it, thanks!

Josh

  • Hero Member
  • *****
  • Posts: 1270
Re: Fpcupdeluxe
« Reply #2376 on: December 09, 2023, 12:57:45 pm »
Hi

Have you excluded  D:\fpcupdate and its sub folders from your AntiVirus Scanner?

Does the current user have full access to that folder?

If you have tried installing different bitness in same folder, that can cause an issue, if you have empty the folder and start a fresh.

One you ave the 32bit installed then you can easily add the 64bit cross compiler
The best way to get accurate information on the forum is to post something wrong and wait for corrections.

fafafooey

  • New Member
  • *
  • Posts: 14
Re: Fpcupdeluxe
« Reply #2377 on: December 09, 2023, 06:22:39 pm »
Hi Josh, thanks for the reply.

I have no A/V scanner running and I'm running everything as admin so nothing is restricted. Yes I have been using the same folder for both fpcupdeluxe but I delete everything but I'll try a new folder.

I think there is something with git.exe that doesn't like so I'm going to try using that version by itself to see if it errors out again. Also when it errors out, there are 2 git.exe's running still:

D:/fpcupdate/fpcupdeluxe/fpcbootstrap/git/cmd/git.exe log -1 --pretty=%cd --date=format:%Y/%m/%d

and

D:\fpcupdate\fpcupdeluxe\fpcbootstrap\git\mingw32\bin\git.exe log -1 --pretty=%cd --date=format:%Y/%m/%d

I see a lot of "/" instead of "\" during the install too but don't know if that's an issue or not.


Another question, can I use the 64bit of fpcupdeluxe to install 32bit FPC and Laz trunk?

Thanks for the help, I'm going to try more installs.

BSaidus

  • Hero Member
  • *****
  • Posts: 532
  • lazarus 1.8.4 Win8.1 / cross FreeBSD
Re: Fpcupdeluxe
« Reply #2378 on: December 12, 2023, 11:35:10 am »
Hello,
Tried yesterday to compile lazarus 2.2_fixes, and 3.0RC2 with FPC trunk, but not succed.
No versions of lazarus compile with FPC Trunk.
Thank you.

log for lazarus 2.2_fixes
Quote
...
(3104) Compiling laz2_xmlcfg.pas
(3104) Compiling laz2_xmlread.pas
(3104) Compiling laz2_xmlwrite.pas
(3104) Compiling laz2_xpath.pas
(3104) Compiling laz_dom.pas
(3104) Compiling laz_xmlcfg.pas
(3104) Compiling laz_xmlread.pas
(3104) Compiling laz_xmlstreaming.pas
E:\fpclz\lzfpc-tr\331\lazarus\components\lazutils\laz_xmlstreaming.pas(79,15) Error: (3058) There is no method in an ancestor class to be overridden: "WriteString(const AnsiString);"
E:\fpclz\lzfpc-tr\331\lazarus\components\lazutils\laz_xmlstreaming.pas(152,1) Fatal: (10026) There were 1 errors compiling module, stopping
Fatal: (1018) Compilation aborted
Error: E:\fpclz\lzfpc-tr\331\fpc\bin\i386-win32\ppc386.exe returned an error exitcode
make: *** [lazutils] Error 2
fpcupdeluxe: ERROR: Lazarus Native Installer (BuildModuleCustom: Lazbuild): make.exe returned exit status #2.


ERROR: Fpcupdeluxe fatal error !
Sequencer (UserIDE): Failure running fpcupdeluxe: error executing sequence UserIDE
Sequencer (Lazarus): Failure running fpcupdeluxe: error executing sequence Lazarus
Sequencer (Only): Failure running fpcupdeluxe: error executing sequence Only


log for lazarus 3.0RC2
Quote
(3104) Compiling lazlistclasses.pas
(3104) Compiling lazlogger.pas
(3104) Compiling lazloggerdummy.pas
(3104) Compiling lazloggerprofiling.pas
(3104) Compiling lazpasreadutil.pas
(3104) Compiling lazunicode.pas
(3104) Compiling lazutf16.pas
(3104) Compiling lazversion.pas
(3104) Compiling lcsvutils.pas
(3104) Compiling lookupstringlist.pas
(3104) Compiling maps.pp
(3104) Compiling objectlists.pas
(3104) Compiling textstrings.pas
(3104) Compiling uitypes.pas
E:\fpclz\lzfpc-tr\331\lazarus\components\lazutils\uitypes.pas(105,14) Error: (3285) Expected another 2 array elements
E:\fpclz\lzfpc-tr\331\lazarus\components\lazutils\uitypes.pas(93,58) Fatal: (10026) There were 1 errors compiling module, stopping
Fatal: (1018) Compilation aborted
Error: E:\fpclz\lzfpc-tr\331\fpc\bin\i386-win32\ppc386.exe returned an error exitcode
make[1]: *** [lazbuildpackages] Error 2
make: *** [lazbuild] Error 2
fpcupdeluxe: ERROR: Lazarus Native Installer (BuildModuleCustom: Lazbuild): make.exe returned exit status #2.


ERROR: Fpcupdeluxe fatal error !
Sequencer (UserIDE): Failure running fpcupdeluxe: error executing sequence UserIDE
Sequencer (Lazarus): Failure running fpcupdeluxe: error executing sequence Lazarus
Sequencer (Only): Failure running fpcupdeluxe: error executing sequence Only
« Last Edit: December 12, 2023, 11:38:23 am by BSaidus »
lazarus 1.8.4 Win8.1 / cross FreeBSD
dhukmucmur vernadh!

avra

  • Hero Member
  • *****
  • Posts: 2511
    • Additional info
Re: Fpcupdeluxe
« Reply #2379 on: December 19, 2023, 12:24:25 pm »
I can not find RISC-V cpu as a cross compiler target in FPCUPDELUXE.

Is it too early or am I missing something?
ct2laz - Conversion between Lazarus and CodeTyphon
bithelpers - Bit manipulation for standard types
pasettimino - Siemens S7 PLC lib

avra

  • Hero Member
  • *****
  • Posts: 2511
    • Additional info
Re: Fpcupdeluxe
« Reply #2380 on: December 19, 2023, 03:01:47 pm »
Fixes are indeed broken...

It doesn't matter if I choose dedicated Fixes button or manually choose fixes-3.2 with fixes-2.2, the result is the same. Tried on i386-win32. I made a patch for uitypes but quickly realized that many more files need patching so gave up.

Quote
...
(3104) Compiling textstrings.pas
(3104) Compiling translations.pas
(3104) Compiling uitypes.pas
C:\Prg\Lazarus\FixesAll\lazarus\components\lazutils\uitypes.pas(105,14) Error: (3285) Expected another 2 array elements
C:\Prg\Lazarus\FixesAll\lazarus\components\lazutils\uitypes.pas(93,58) Fatal: (10026) There were 1 errors compiling module, stopping
Fatal: (1018) Compilation aborted
Error: C:\Prg\Lazarus\FixesAll\fpc\bin\i386-win32\ppc386.exe returned an error exitcode
make: *** [lazutils] Error 2
fpcupdeluxe: ERROR: Lazarus Native Installer (BuildModuleCustom: Lazbuild): make.exe returned exit status #2.


ERROR: Fpcupdeluxe fatal error !
Sequencer (UserIDE): Failure running fpcupdeluxe: error executing sequence UserIDE
Sequencer (Lazarus): Failure running fpcupdeluxe: error executing sequence Lazarus
Sequencer (Defaultwin32): Failure running fpcupdeluxe: error executing sequence Defaultwin32
« Last Edit: December 19, 2023, 04:01:15 pm by avra »
ct2laz - Conversion between Lazarus and CodeTyphon
bithelpers - Bit manipulation for standard types
pasettimino - Siemens S7 PLC lib

folkeu08

  • Full Member
  • ***
  • Posts: 106
Re: Fpcupdeluxe
« Reply #2381 on: December 22, 2023, 02:04:12 am »
Hi,
I wanted to install version 3 of Lazarus from your utility and it re-installed 2.2.6 for me.
The sources directory may not be updated yet on github or is it your application to adapt?
Thanks
François
« Last Edit: December 22, 2023, 11:12:23 am by folkeu08 »

Gustavo 'Gus' Carreno

  • Hero Member
  • *****
  • Posts: 1033
  • Professional amateur ;-P
Re: Fpcupdeluxe
« Reply #2382 on: December 22, 2023, 11:16:58 am »
Hey François,

I wanted to install version 3 of Lazarus from your utility and it re-installed 2.2.6 for me.

We have to wait for DonAlfredo to release a new version that makes the switch from 2.2.6 to 3.0.0 in the stable thing.

I'm sure he's as worried about it as I am cuz I'm overdue on doing the same on setup-lazarus  :D

Cheers,
Gus
Lazarus 3.99(main) FPC 3.3.1(main) Ubuntu 23.10 64b Dark Theme
Lazarus 3.0.0(stable) FPC 3.2.2(stable) Ubuntu 23.10 64b Dark Theme
http://github.com/gcarreno

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1720
Re: Fpcupdeluxe
« Reply #2383 on: December 22, 2023, 12:46:05 pm »
Indeed ...  ;)

Gustavo 'Gus' Carreno

  • Hero Member
  • *****
  • Posts: 1033
  • Professional amateur ;-P
Re: Fpcupdeluxe
« Reply #2384 on: December 22, 2023, 01:39:09 pm »
Hey DonAlfredo,

Indeed ...  ;)

Glad to see that you've picked it up quick !!

I just made the upgrades on setup-lazarus!

I'm now having an issue with the GitHub runner under ubuntu-latest aka ubuntu-22.04  :'(

Gonna post a message to see if there's something I can do to solve it.

Good luck with the new version and 🫂 ❤️
Lazarus 3.99(main) FPC 3.3.1(main) Ubuntu 23.10 64b Dark Theme
Lazarus 3.0.0(stable) FPC 3.2.2(stable) Ubuntu 23.10 64b Dark Theme
http://github.com/gcarreno

 

TinyPortal © 2005-2018